Name:       python-atomicwrites
Version:    1.4.0
Release:    1%{?git_tag}%{?dist}
Summary:    Python Atomic file writes on POSIX 
License:    MIT
URL:        https://github.com/untitaker/%{name}
Source0:    https://github.com/untitaker/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildArch:  noarch
%global short_name atomicwrites
BuildRequires: make
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%global _description\
This Python module provides atomic file writes on POSIX operating systems.\
It sports:\
* Race-free assertion that the target file doesn't yet exist\
* Windows support\
* Simple high-level API that wraps a very flexible class-based API


%description %_description


%package -n python3-%{short_name}
Summary:    Python Atomic file writes on POSIX 
%description -n python3-%{short_name}
This Python module provides atomic file writes on POSIX operating systems.
It sports:
* Race-free assertion that the target file doesn't yet exist
* Windows support
* Simple high-level API that wraps a very flexible class-based API


%prep
%setup -q


%build
%{__python3} setup.py build


%install
%{__python3} setup.py install --optimize 2 --root %{buildroot}


%files -n python3-%{short_name}
%doc README.rst LICENSE
%{python3_sitelib}/%{short_name}*/


%changelog
