%global modname idna-ssl
Name:           python-%{modname}
Version:        1.1.0
Release:        11%{?dist}
Summary:        Patch ssl.match_hostname for Unicode(idna) domains support
License:        MIT
URL:            https://github.com/aio-libs/idna_ssl
Source0:        %{url}/archive/v%{version}/%{modname}-%{version}.tar.gz
BuildArch:      noarch

%description
%{summary}.

%package -n python3-%{modname}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%{?python_provide:%python_provide python3-%{modname}}
%description -n python3-%{modname}
%{summary}.


%prep
%autosetup -n %{modname}-%{version}


%build
%{__python3} setup.py build


%install
%{__python3} setup.py install --optimize 2 --root %{buildroot}


%files -n python3-%{modname}
%license LICENSE
%doc README.rst example.py
%{python3_sitelib}/idna_ssl-*.egg-info/
%{python3_sitelib}/idna_ssl.py
%{python3_sitelib}/__pycache__/idna_ssl.*


%changelog
