Name: rainbowstream
Version: 1.5.4
Release: 1%{dist}
License: MIT
Group: Development/Languages
#URL: http://www.rainbowstream.org/
URL: https://github.com/orakaro/rainbowstream
#Source0: https://pypi.python.org/packages/source/r/%{name}/%{name}-%{version}.tar.gz
Source1: consumer.py
Summary: A smart and nice Twitter client on terminal.
Requires: python-dateutil
Requires: python-requests
Requires: pyfiglet
Requires: python-twitter
Requires: python-pillow
Requires: python-arrow
Requires: python-pocket
Requires: python-setuptools
Requires: PySocks
BuildArch: noarch
BuildRoot: %{tmpdir}/%{name}-%{version}-root-%(id -u -n)


%description
Terminal-based Twitter Client.
Realtime tweetstream, compose, search , favorite, ...
and much more fun directly from terminal.


%prep
%setup -q -T -c %{name}-%{version}
git clone https://github.com/orakaro/rainbowstream .
cp setup.py setup.py.orig
sed s/"requests==2.5.3"/"requests"/g setup.py.orig > setup.py
cp %{SOURCE1} rainbowstream/

%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --optimize=2 --root $RPM_BUILD_ROOT
sed -i 's|#!/usr/bin/python|#!/usr/bin/python -O|g' %{buildroot}%{_bindir}/%{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/%{name}
%{python_sitelib}/%{name}/*
%{python_sitelib}/%{name}-%{version}-py%{python_ver}.egg-info


%changelog
