Name:           streamlink
Version:        2.0.0
Release:        1%{?dist}
Summary:        CLI stream link
Group:          Development/Multimedia
License:        BSD
URL:            https://github.com/streamlink/streamlink
Source0:        https://github.com/streamlink/streamlink/releases/download/%{version}/streamlink-%{version}.tar.gz
Requires:	python3-iso3166
Requires:	python3-iso639
Requires:	python3-pycryptodome


%description
Streamlink is a command-line utility which pipes video streams from various services into a video player,
such as VLC. The main purpose of Streamlink is to avoid resource-heavy and unoptimized websites,
while still allowing the user to enjoy various streamed content.
There is also an API available for developers who want access to the stream data.


%prep
%setup -q -n %{name}-%{version}


%build
%{__python3} setup.py build


%install
%{__python3} setup.py install --optimize 2 --root %{buildroot}


%files
#%license LICENSE.txt
#%doc CHANGES.txt README.txt
%{_bindir}/%{name}
%{python3_sitelib}/%{name}/
%{python3_sitelib}/%{name}_cli/
%{python3_sitelib}/%{name}*.egg-info


%changelog
