Name: unrar
Version: 6.0.3
Release: 1%{?dist}
License: Freeware
Group: Applications/Archiving
Summary: Extract, test and view RAR archives
URL: http://www.rarlab.com/
Source0: http://www.rarlab.com/rar/unrarsrc-%{version}.tar.gz
Source1: unrar.1
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: gcc-c++


%description
The unRAR utility is a freeware program, distributed with source code
and developed for extracting, testing and viewing the contents of
archives created with the RAR archiver version 1.50 and above.


%prep
%setup -q -n %{name}


%build
%{__make} %{?_smp_mflags} CXXFLAGS="%{optflags}"


%install
%{__rm} -rf %{buildroot}
%{__install} -Dp -m0755 unrar %{buildroot}%{_bindir}/unrar
%{__install} -Dp -m0644 %{SOURCE1} %{buildroot}%{_mandir}/man1/unrar.1


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-, root, root, 0755)
%doc *.txt
%doc %{_mandir}/man1/unrar.1*
%{_bindir}/unrar


%changelog
