Name: git-latexdiff
Version: 1.6.0
Release: 1%{?dist}
URL: https://gitlab.com/git-latexdiff/git-latexdiff/-/tree/master
Summary: Determine and mark up significant differences between latex files
Source: https://gitlab.com/git-latexdiff/git-latexdiff/-/archive/%{version}/git-latexdiff-%{version}.tar.bz2
Patch0: git-latexdiff-Makefile.patch
License: BSD
Group: Applications/Text
Requires: tex(latex)
Requires: diffutils
BuildArch: noarch


%description
git-latexdiff is a tool to graphically visualize differences between different versions of a LaTeX file.
Technically, it is a wrapper around git and latexdiff.
If your LaTeX source is split accross several *.tex files,
git latexdiff can call latexpand to expand it before running
latexdiff (this usually works better than using latexdiff --flatten).


%prep
%setup
%patch0 -p0


%build



%install
make install DESTDIR=%{buildroot}


%files
%defattr(-,root,root,-)
%{_libexecdir}/git-core/git-latexdiff
%{_mandir}/man1/git-latexdiff.1*




%changelog
